### Figure 2.2
source('bookfunctions.r')
ws = read.csv(file = "Wind Time Series Data(hourly).csv", header = T)
wsdata = normalize(ws, m = 0.5)
pdf(file = "three month time series.pdf")
plot(wsdata$WindSpeed[1:1811], xlab = "Time (Days)", ylab = "Wind Speed (m/s)", xaxt = 'n',cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33)
axis(side = 1, at = c(0,300,600,900,1200,1500,1800), labels = c(0,15,30,45,60,75,90),las = 0,cex.axis = 1.33)
dev.off()
pdf(file = "three month time series(normalized).pdf")
plot(wsdata$NormaliedWindSpeed[1:1811], xlab = "Time (Days)", ylab = "Normalized Wind Speed (m/s)", xaxt = 'n', cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33)
axis(side = 1, at = c(0,300,600,900,1200,1500,1800), labels = c(0,15,30,45,60,75,90),las = 0,cex.axis = 1.33)
dev.off()