##Figure 2.3
source('bookfunctions.r')
Month ="2015-04-"
ws = read.csv(file = "Wind Time Series Data(Hourly).csv", header = T)
wsdata = normalize(ws)
wsdata = wsdata[grep(Month,wsdata$Date),]
pdf(file = "Windspeed_ACF.pdf")
acf(wsdata$NormalizedWindspeed, main = "Windspeed ACF Plot",cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33, xlab = "Lag (hours)", ylim = c(-0.3,1))
dev.off()
pdf(file = "Windspeed_PACF.pdf")
acf(wsdata$NormalizedWindspeed, type = "partial", main = "Windspeed PACF Plot",cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33, xlab = "Lag (hours)", ylim = c(-0.3,1))
dev.off()
fit = arima(wsdata$NormalizedWindspeed, order = c(1,0,1))
Residual = fit$residuals
pdf(file = "Residuals_ACF.pdf")
acf(Residual, main = "Residuals ACF Plot",cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33, xlab = "Lag (hours)", ylim = c(-0.3,1))
dev.off()
pdf(file = "Residuals_PACF.pdf")
acf(Residual, type = "partial", main = "Residuals PACF Plot",cex.lab = 1.33, cex.main = 1.5, cex.axis = 1.33, xlab = "Lag (hours)", ylim = c(-0.3,1)) 
dev.off()
