##Section 2.5.2 SVM 
source('bookfunctions.r')
Month ="2015-04-"
ws = read.csv(file = "Wind Time Series Data(Hourly).csv", header = T)
wsdata = normalize(ws)
wsdata = wsdata[grep(Month,wsdata$Date),]
library(e1071)
x = NULL
y = NULL
for (i in (1:(length(wsdata$NormalizedWindspeed)-1))){
  x[i] = wsdata$NormalizedWindspeed[i]
  y[i] =  wsdata$NormalizedWindspeed[i+1]
}
set.seed(5)
dataset = data.frame(x,y)
outcome_cost = tune(svm, y~x, data = dataset, ranges = list(epsilon = 0.1, cost = c(0.0001,0.001,0.01,0.1,1,10,100,1000,10000)), kernel = "radial", gamma = 1)
outcome_cost
outcome_eps = tune(svm, y~x, data = dataset, ranges = list(epsilon = seq(0,1,0.1), cost = outcome_cost$best.model$cost), kernel = "radial", gamma = 1)
outcome_eps
