##Table 2.4
source('bookfunctions.r')
Month ="2015-04-"
ws = read.csv(file = "Wind Time Series Data(Hourly).csv", header = T)
wsdata = normalize(ws)
wsdata = wsdata[grep(Month,wsdata$Date),]
p = c(1:6)
q = c(1:3)
d = 0
n = nrow(wsdata)
sink(file = "LatexEntryTable1Section2_4_2.txt")
for (i in p){
  for (j in q){
    aicc = function (aic, n, p, q){
      aicc = aic + 2*(((p+q+1)^2 + (p+q+1))/(n-p-q))
      aicc
    }
    fit<-arima(wsdata$NormalizedWindspeed, order = c(p[i],d,q[j]))
    loglik = fit$loglik
    aic = 2*(p[i]+q[j]+1 - loglik) 
    bic = log(n)*(p[i]+q[j]+1) - 2*loglik
    aicc = aicc(aic,n,p[i],q[j])
    cat("ARMA","(",p[i],",",q[j],")","  &  ",loglik, "  &  ",bic, "  &  " ,aic,"  &  ",aicc," \\ ",'\n') 
  }
}
sink()
fit<-arima(wsdata$NormalizedWindspeed, order = c(1,0,1))
fit

